dagchan(1)

NAME
dagchan - Endace DAG 3.7T card channel configuration utility

SYNOPSIS
dagchan [options]

DESCRIPTION
dagchan is used to define the physical channels for the DAG 3.7T. It reads a channel configuration file and then creates each of the channels defined in the file.

The default operation of dagchan is to delete all existing channel definitions on the board, and then add the new channel definitions.

An alternative mode is to use the -r option and preserve the channel definitions on the board and add the new channel definitions to them.

OPTIONS

-c FILE
    Use FILE as the channel configuration file (default is chan.cfg).

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-h

-?

--help

--usage
    Display usage (help) information.

-q  Quality check flag: when set dagchan validates the commands received by the framer.

-r  Retain the channel definitions (by default these are deleted).

-v

-vv

-vvv

-vvvv

--verbose
    Increase output verbosity.

-V

--version
    Display version information.

EXAMPLES
The following command configures the channels as per the definitions given in the channel configuration file chan.cfg and preserves the existing channel definitions (since the -r option is used).
    dagchan -d dag2 -rvvv

FILES

chan.cfg
    The default channel configuration file.

SEE ALSO
Details regarding the channel configuration options can be obtained from DAG 3.7T User Manual.

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2366 $
$Date: 2005-10-18 15:32:32 +1300 (Tue, 18 Oct 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.